GDB (xrefs)

Public Attributes | List of all members
darwin_inferior Struct Reference

`#include "darwin-nat.h"`

Inheritance diagram for darwin_inferior:

## Public Attributes
task_t | task = 0
mach_port_t | notify_port = 0
darwin_exception_info | exception_info
unsigned int | pending_messages = 0
bool | no_ptrace = false
bool | suspended = false
std::vector< darwin_thread_t * > | threads

## Additional Inherited Members
Public Member Functions inherited from private_inferior
virtual | ~private_inferior ()=0

## Detailed Description

Definition at line 105 of file darwin-nat.h.

## Member Data Documentation

## ◆ exception_info

darwin_exception_info darwin_inferior::exception_info

Definition at line 115 of file darwin-nat.h.

## ◆ no_ptrace

bool darwin_inferior::no_ptrace = false

Definition at line 121 of file darwin-nat.h.

Referenced by darwin_stop_inferior().

## ◆ notify_port

mach_port_t darwin_inferior::notify_port = 0

Definition at line 112 of file darwin-nat.h.

Referenced by darwin_attach_pid(), and darwin_setup_request_notification().

## ◆ pending_messages

unsigned int darwin_inferior::pending_messages = 0

Definition at line 118 of file darwin-nat.h.

## ◆ suspended

bool darwin_inferior::suspended = false

Definition at line 124 of file darwin-nat.h.

## ◆ task

task_t darwin_inferior::task = 0

Definition at line 108 of file darwin-nat.h.

Referenced by darwin_attach_pid(), darwin_check_new_threads(), darwin_setup_exceptions(), darwin_setup_request_notification(), and get_task_from_args().

## ◆ threads

std::vector<darwin_thread_t *> darwin_inferior::threads

Definition at line 127 of file darwin-nat.h.

Referenced by darwin_check_new_threads(), and darwin_suspend_inferior_threads().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/darwin-nat.h